<?php

  include("../scripts/connect.php");

   $conexion=conecta_default();

   

   include_once("../scripts/session.php");

   //Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("4")){ /*Sesion invalida*/



	 header("Location: ../index.php?err=NoSesion");



    }/*no hay sesion*/



    else{



       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

       $sesion->setSesion();



    }

    //fin validar session
  $continuar =$_POST['continua']; 
   function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}
	echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>
	<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Ver compras por centro</label><br><br><br><font color=\"#000099\" size=\"+2\"><b>Reporte global</b></font><br>
	<form name=\"Agrega\" action=\"totalescdold.php\" method=\"post\">
	<div align=\"center\">
	<table width=\"357\" height=\"80\" border=\"1\">
		<tr>
	<td>
	Fecha Inicial:<td/>
	<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>
							</tr>
							<tr>
	<td>
	Fecha Final:<td/>
	<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>
							</tr>
   </tr>
    
    
     
      </table><input type=hidden name=continua value=5 />
	<br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Compras\" />
  </div></form>";
  
  if($continuar==5){
	  
	   $fecha1 =$_POST['fecha_i'];
  $fecha2 =$_POST['fecha_f'];
   $id_cd =$_POST['listacd']; 
	   
           $vef=0;
           $vdep=0;
		   $vtarj=0;
           $vns=0;
           $vas=0;
           $vreg=0;
           $vvou=0;
		   $ppag=0;
		   $preg=0;
		   $pvou=0;
		   $ctot=0;
		   $ptot=0;
		   $pasig=0;
           
  /*$q2 = "SELECT rfc, inversionista.nombre, appat, apmat, observaciones, fechat, idtransacciones FROM inversionista, transacciones, usuarios_ci  WHERE inversionista.id_inver=transacciones.inversionista_id_inver and usuarios_ci.idusuarios_ci=transacciones.usuarios_ci_idusuarios_ci and tipostr_idtipostr='10' and usuarios_ci.idusuarios_ci='".$id_cd."' and fechat =curdate() ";*/
  echo"<center><br>";
 
  $q2 = "SELECT  sum(cantidad), sum(puntos), sum(efectivo), sum(deposito), sum(tarjeta), sum(regalias), sum(voucher), sum(porpagar), usuarios_ci_idusuarios_ci FROM usuarios_ci left join (transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones  left join otrasal on transacciones.idtransacciones=otrasal.idtransacciones) on (usuarios_ci.idusuarios_ci=transacciones.usuarios_ci_idusuarios_ci and centro_activo=1 )
  WHERE  (tipostr_idtipostr='6' or tipostr_idtipostr='10' or tipostr_idtipostr='11' or tipostr_idtipostr='13' or tipostr_idtipostr='15' ) and fechat between '$fecha1' and '$fecha2' group by usuarios_ci_idusuarios_ci order by usuarios_ci_idusuarios_ci";
 
  $c2 = mysql_query($q2) or die ('Error en la consulta' . mysql_error());
 //
  if(mysql_affected_rows())
   {
  echo"<font size=\"+2\">Ventas por centro del d&iacute;a $fecha1 al $fecha2</font><br><br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <tr>
		<th>CD</th><th>totalsist</th><th>Totalpagos</th><th>EF</th><th>DE</th><th>TA</th><th>RE</th><th>VO</th><th>PP</th><th>Caja</th>
		
			</tr>";
  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	

	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = redondear($r1[2]);
	   $a3 = $r1[3];
	   $a4 = redondear($r1[4]);
	  $a5 = redondear($r1[5]);
	  $a6 = redondear( $r1[6]);
	  $a7 = $r1[7];
	  $a8 = $r1[8];
	  $tott=$a4+$a2+$a3+$a5+$a6+$a7;
	   $vef+=$a2;
	   $vdep+=$a3;
	   $vtarj+=$a4;
	   $vreg+=$a5;
	   $vvou+=$a6;
	   $ppag+=$a7;
	   
	   $ctot+=$a0;
	   $ptot+=$a1;
	      $qcc1 = "SELECT cantidad FROM cortecaja WHERE fechac= '$fecha2' and id_cd=$a8";
           $ccc1 = mysql_query($qcc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rrc = mysql_fetch_row($ccc1);
  
         $caja=redondear($rrc[0]);
	   $totcomp=$a8+$a6;
	         echo"<td>$a8</td><td>$a0</td><td>$tott</td><td>$a2</td><td>$a3</td><td>$a4</td><td>$a5</td><td>$a6</td>
<td>$a7</td><td>$caja</td></tr>
		  ";
	}echo"</table>";
                                             }
	$real=$ctot-$ppag; $totpagovta=$vef+$vdep+$vtarj+$vreg+$vvou+$ppag;
				
									   echo"<br>
	<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><tr><th>Contado</th><th>Total Sist</th><th>Total Sist</th><th>Efectivo</th><th>Depositos</th><th>Tarjeta</th><th>Regalias</th><th>Voucher</th><th>Por Pagar </th>
	</tr>
	<tr><td>$ $real</td><td>$ $ctot</td><td>$ $totpagovta</td><td>$ $vef</td><td>$ $vdep</td><td>$ $vtarj</td><td>$vreg</td><td>$vvou</td><td>$ $ppag</td></tr>
	
	
	
	</table>
	<br>";
	  
	  
	  
	  
	  
	  
  }
  
  
  
  
              
?>